Bug 833453 - [abrt] evolution-3.4.2-1.fc17: pixman_region32_copy: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.2-1.fc17: pixman_region32_copy: Process /usr/bin/evoluti...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:69ff078572cbf7d94a989a9dbd7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 09:49 EDT by Mikhail
Modified: 2013-07-31 23:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.64 KB, text/plain)
2012-06-19 09:49 EDT, Mikhail
no flags Details
File: gconf_subtree (10.71 KB, text/plain)
2012-06-19 09:49 EDT, Mikhail
no flags Details
File: xsession_errors (12.27 KB, text/plain)
2012-06-19 09:49 EDT, Mikhail
no flags Details
File: maps (76.41 KB, text/plain)
2012-06-19 09:50 EDT, Mikhail
no flags Details
File: dso_list (26.22 KB, text/plain)
2012-06-19 09:50 EDT, Mikhail
no flags Details
File: build_ids (10.85 KB, text/plain)
2012-06-19 09:50 EDT, Mikhail
no flags Details
backtrace which I created before killing process (12.19 KB, text/plain)
2012-06-19 09:56 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-06-19 09:49:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evolution
comment:        Process evolution begin to consume all CPU resources. I kill his with SEGV.
crash_function: pixman_region32_copy
executable:     /usr/bin/evolution
kernel:         3.4.2-4.fc17.i686.PAE
pid:            30051
pwd:            /home/mikhail
time:           Вт. 19 июня 2012 19:42:05
uid:            1000
username:       mikhail

backtrace:      Text file, 38546 bytes
build_ids:      Text file, 11111 bytes
dso_list:       Text file, 26849 bytes
gconf_subtree:  Text file, 10970 bytes
maps:           Text file, 78240 bytes
xsession_errors: Text file, 12560 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mikhail/2

core_backtrace:
:e9363a6b468d459c7e4cb0d9757079106b3a882c 0x5becf pixman_region32_copy libpixman-1.so.0 -
:e9363a6b468d459c7e4cb0d9757079106b3a882c 0x5c2f0 pixman_region32_union libpixman-1.so.0 -
:c25f4a34816c8918d5cce3f8b7a851948c6db023 0x434e3 cairo_region_union libcairo.so.2 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x31d32 gdk_window_begin_paint_region libgdk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186ac4 gtk_main_do_event libgtk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x1c5ed - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x32312 - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x32351 - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x32351 - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x508b4 - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x3172f - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x31b7f gdk_window_process_all_updates libgdk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xec56a - libgtk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x12adf - libgdk-3.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x44a31 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1859fd gtk_main libgtk-3.so.0 -
:98548cd11d888320a90007ce568ae555433d3257 0x1cc3 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=telecon17l.afbank.ru
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=928ad44a76a7008e0260558b00000016-1339993436.66610-1205812036
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/mikhail/keyring-jB7u6q
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mikhail
:USERNAME=mikhail
:MAIL=/var/spool/mail/mikhail
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mikhail/.local/bin:/home/mikhail/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mikhail
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1061
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mikhail
:SHLVL=1
:LOGNAME=mikhail
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-S0xdjPf607,guid=4e0119eb5060b8be6812af7500000028
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mikhail
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mikhail-GC0nDL/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1066,unix/unix:/tmp/.ICE-unix/1066
:GPG_AGENT_INFO=/run/user/mikhail/keyring-jB7u6q/gpg:0:1
:SSH_AUTH_SOCK=/run/user/mikhail/keyring-jB7u6q/ssh
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=30051
:DESKTOP_STARTUP_ID=gnome-shell-1296-telecon17l.afbank.ru-evolution-26_TIME119565685

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15711                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15711                15711                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mikhail/.xsession-errors
:pos:	2851462
:flags:	02002
:2:/home/mikhail/.xsession-errors
:pos:	2851462
:flags:	02002
:3:socket:[31849871]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[31849882]
:pos:	0
:flags:	02004002
:7:socket:[31849907]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[31849346]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[31849358]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:socket:[31850294]
:pos:	0
:flags:	02004002
:15:/home/mikhail/.pki/nssdb/cert9.db
:pos:	2048
:flags:	02100002
:16:/var/tmp/etilqs_MUSff41ktdwOVCx (deleted)
:pos:	28
:flags:	02100002
:17:/var/tmp/etilqs_koiyxO6H5Er3gXh (deleted)
:pos:	2056
:flags:	02500002
:18:/var/tmp/etilqs_wyiItpchiZ5JfUP (deleted)
:pos:	2048
:flags:	02500002
:19:/home/mikhail/.pki/nssdb/key4.db
:pos:	40
:flags:	02100002
:20:/var/tmp/etilqs_CAfIwFPEFmWtA5r (deleted)
:pos:	28
:flags:	02100002
:21:/var/tmp/etilqs_eAgU9eaQYWe1Z4W (deleted)
:pos:	2056
:flags:	02500002
:22:/var/tmp/etilqs_lh6CyXlJT4XkHXy (deleted)
:pos:	2048
:flags:	02500002
:23:/etc/pki/nssdb/cert9.db
:pos:	2048
:flags:	02100000
:24:/var/tmp/etilqs_yd54Ix8ISCpjQHn (deleted)
:pos:	28
:flags:	02100002
:25:/var/tmp/etilqs_d9fhxhXTJXjphRW (deleted)
:pos:	2048
:flags:	02500002
:26:/etc/pki/nssdb/key4.db
:pos:	40
:flags:	02100000
:27:/var/tmp/etilqs_cGm81M0do8XzJ7n (deleted)
:pos:	28
:flags:	02100002
:28:/var/tmp/etilqs_d2XwRsqirp09a53 (deleted)
:pos:	2048
:flags:	02500002
:29:/home/mikhail/.local/share/evolution/mail/local/folders.db
:pos:	38912
:flags:	02100002
:30:/home/mikhail/.local/share/evolution/mail/vfolder/folders.db
:pos:	40
:flags:	02100002
:31:/home/mikhail/.cache/evolution/mail/1333120619.4756.0@telecon17l.afbank.ru/folders.db
:pos:	11976704
:flags:	02100002
:32:anon_inode:inotify
:pos:	0
:flags:	02004000
:33:/home/mikhail/.cache/evolution/mail/1333516140.1463.1@telecon17l.afbank.ru/folders.db
:pos:	40
:flags:	02100002
:34:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:35:/dev/urandom
:pos:	0
:flags:	02000000
:36:socket:[33306530]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 24b82623-fdb0-487f-b726-0d6b01472500
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4787.60
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E4600  @ 2.40GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 1980
:System Swap: 16382
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.4.2-4.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10672:32902:20298) pci, None, HOST/PCI, 82Q35 Express DRAM Controller
:(32902:10673:32902:20298) pci, pcieport, PCI/PCI, 82Q35 Express PCI Express Root Port
:(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:10544:32902:20298) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:32902:20298) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10516:32902:20298) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:4285:32902:1) pci, e1000e, ETHERNET, 82566DM-2 Gigabit Network Connection
:(32902:9294:32902:20298) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:32902:10564) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:32902:10566) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10676:32902:20298) pci, None, SIMPLE, 82Q35 Express MEI Controller
:(32902:10568:32902:10568) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:32902:18) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43664:5963:43664) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26457:5963:57747) pci, radeon, VIDEO, NI Turks [AMD Radeon HD 6500]
:(4545:22545:4545:22545) pci, firewire_ohci, FIREWIRE, FW322/323
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5112811 2236797 2185604 1286144 967054 967054
:/dev/sda5 /home ext4 4096 4096 27766364 2389906 999519 6955008 6835519 6835519
:

var_log_messages:
:Jun 18 09:54:35 telecon17l abrt[22083]: File '/usr/libexec/evolution/3.4/evolution-alarm-notify.#prelink#.FldMuu' seems to be deleted
:Jun 18 09:54:35 telecon17l abrt[22083]: File '/usr/libexec/evolution/3.4/evolution-alarm-notify.#prelink#.FldMuu' seems to be a prelink temporary file
:Jun 18 09:55:09 telecon17l abrt[22083]: Saved core dump of pid 1277 (/usr/libexec/evolution/3.4/evolution-alarm-notify) to /var/spool/abrt/ccpp-2012-06-18-09:54:35-1277 (21516288 bytes)
:Jun 19 13:44:59 telecon17l abrt[21618]: Saved core dump of pid 12499 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-06-19-13:44:55-12499 (99241984 bytes)
:Jun 19 14:55:12 telecon17l abrt[23250]: Saved core dump of pid 1568 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-06-19-14:55:03-1568 (189243392 bytes)
:Jun 19 15:08:17 telecon17l abrt[23613]: Saved core dump of pid 23285 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-06-19-15:08:16-23285 (91955200 bytes)
:Jun 19 19:42:08 telecon17l abrt[30256]: Saved core dump of pid 30051 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-06-19-19:42:05-30051 (90787840 bytes)
Comment 1 Mikhail 2012-06-19 09:49:47 EDT
Created attachment 592955 [details]
File: backtrace
Comment 2 Mikhail 2012-06-19 09:49:50 EDT
Created attachment 592956 [details]
File: gconf_subtree
Comment 3 Mikhail 2012-06-19 09:49:54 EDT
Created attachment 592957 [details]
File: xsession_errors
Comment 4 Mikhail 2012-06-19 09:50:00 EDT
Created attachment 592958 [details]
File: maps
Comment 5 Mikhail 2012-06-19 09:50:04 EDT
Created attachment 592959 [details]
File: dso_list
Comment 6 Mikhail 2012-06-19 09:50:07 EDT
Created attachment 592960 [details]
File: build_ids
Comment 7 Mikhail 2012-06-19 09:56:24 EDT
Created attachment 592962 [details]
backtrace which I created before killing process
Comment 8 Milan Crha 2012-06-20 13:01:55 EDT
Thanks for a bug report. I think this is related to upstream bug [1]. There helped to change height of the preview panel, by making message list height smaller or taller. Does it help for you too?

[1] https://bugzilla.gnome.org/show_bug.cgi?id=655248
Comment 9 Fedora End Of Life 2013-07-03 20:14:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 23:43:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.